Bug 746786 - Review Request: libcli - A shared library for a Cisco-like cli
Summary: Review Request: libcli - A shared library for a Cisco-like cli
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-17 19:08 UTC by Gwyn Ciesla
Modified: 2011-12-11 22:00 UTC (History)
3 users (show)

Fixed In Version: libcli-1.9.5-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-11 22:00:02 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Gwyn Ciesla 2011-10-17 19:08:23 UTC
Libcli provides a shared library for including a Cisco-like command-line 
interface into other software. It's a telnet interface which supports 
command-line editing, history, authentication and callbacks for a 
user-definable function tree. 

SRPM: http://zanoni.jcomserv.net/fedora/libcli/libcli-1.9.5-1.fc15.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/libcli/libcli.spec

Comment 1 Gwyn Ciesla 2011-10-17 19:09:45 UTC
Needed to update mausezahn to 0.4.

Comment 2 Tom Hughes 2011-11-23 10:43:26 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
        /sbin/ldconfig not called in %post
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contains kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development .so files in -devel subpackage, if present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is correct (EPEL5 & Fedora < 10)
        %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).(EPEL6 & Fedora < 13)
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of %install. (EPEL5)
[x]: MUST If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[!]: MUST Package consistently uses macros (instead of hard-coded directory names).
	PREFIX="/usr/" is used when building
[!]: MUST Package meets the Packaging Guidelines.
	Require of base package should use %{?_isa} qualification
[x]: MUST Package is named according to the Package Naming Guidelines.
[?]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[s]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.
        
        rpmlint libcli-1.9.5-1.fc16.x86_64.rpm
        ================================================================================
        libcli.x86_64: W: spelling-error Summary(en_US) cli -> cl, clii, clip
        libcli.x86_64: E: incorrect-fsf-address /usr/share/doc/libcli-1.9.5/COPYING
        1 packages and 0 specfiles checked; 1 errors, 1 warnings.
        ================================================================================
        
        rpmlint libcli-debuginfo-1.9.5-1.fc16.x86_64.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint libcli-devel-1.9.5-1.fc16.x86_64.rpm
        ================================================================================
        libcli-devel.x86_64: W: no-documentation
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
        rpmlint libcli-1.9.5-1.fc16.src.rpm
        ================================================================================
        libcli.src: W: spelling-error Summary(en_US) cli -> cl, clii, clip
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
[x]: MUST Sources used to build the package matches the upstream source, as provided in the spec URL.
        /home/thh/746786/libcli-1.9.5.tar.gz :
          MD5SUM this package     : b52cde793ea933bc95c183384898b7f6
          MD5SUM upstream package : b52cde793ea933bc95c183384898b7f6
        
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is correct (EPEL5 & Fedora < 10)
        %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
[!]: MUST Package consistently uses macros (instead of hard-coded directory names).
	PREFIX="/usr/" is used when building
[!]: MUST Package meets the Packaging Guidelines.
	Require of base package should use %{?_isa} qualification
[!]: MUST Rpmlint output is silent.
        
        rpmlint libcli-1.9.5-1.fc16.x86_64.rpm
        ================================================================================
        libcli.x86_64: W: spelling-error Summary(en_US) cli -> cl, clii, clip
        libcli.x86_64: E: incorrect-fsf-address /usr/share/doc/libcli-1.9.5/COPYING
        1 packages and 0 specfiles checked; 1 errors, 1 warnings.
        ================================================================================
        
        rpmlint libcli-debuginfo-1.9.5-1.fc16.x86_64.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint libcli-devel-1.9.5-1.fc16.x86_64.rpm
        ================================================================================
        libcli-devel.x86_64: W: no-documentation
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
        rpmlint libcli-1.9.5-1.fc16.src.rpm
        ================================================================================
        libcli.src: W: spelling-error Summary(en_US) cli -> cl, clii, clip
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================

Comment 3 Tom Hughes 2011-11-23 10:44:56 UTC
That's just an informal review as I'm not a sponsored packager yet.

Comment 4 Gwyn Ciesla 2011-11-23 13:35:48 UTC
Thanks!  I've fixed PREFIX and %{?_isa}, and added documentation to -devel.  What did you mean for me to do with the buildroot, did you just mean to alert me that it's not really needed unless building for older releases?  Also, there don't seem to be any tests available, except the clitest binary, which is interactive, and connects to a socket which we can't do in mock/koji.

I'm a sponsor, BTW, do you have an initial review(s) submitted I can look at?

SRPM: http://zanoni.jcomserv.net/fedora/libcli/libcli-1.9.5-2.fc16.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/libcli/libcli.spec

Comment 5 Tom Hughes 2011-11-23 13:46:32 UTC
The buildroot comment was actually added by fedora-review but my reading of the EPEL spec confirmed it as the root%(%{__id_u} -n) bit on the end should have a hyphen after the root it seems.

I realise the test thing isn't really an issue, it was more the wording of that question which didn't seem to allow for them not-existing. Probably just something to get fixed in the fedora-review output.

The isa thing was been fixed in the templates by the way - I filed a bug for it after somebody pointed out the same thing in my own initial submission.

My initial review request is https://bugzilla.redhat.com/show_bug.cgi?id=751568 if you want to take a look.

Comment 6 Gwyn Ciesla 2011-11-23 13:57:47 UTC
Gotcha.  I'll take a look.

Comment 7 Gwyn Ciesla 2011-11-28 14:51:44 UTC
Now that you're sponsored, you can formally review and approve things, BTW. :)

Comment 9 Tom Hughes 2011-11-29 10:15:38 UTC
Reviewed. I think the only remaining problem is the buildroot which is still missing the hyphen after root and before the userid.

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contains kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development .so files in -devel subpackage, if present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is correct (EPEL5 & Fedora < 10)
        %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).(EPEL6 & Fedora < 13)
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of %install. (EPEL5)
[x]: MUST If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[?]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
        Only bogus spellcheck warnings
[x]: MUST Sources used to build the package matches the upstream source, as provided in the spec URL.
        /home/thh/746786/libcli-1.9.5.tar.gz :
          MD5SUM this package     : b52cde793ea933bc95c183384898b7f6
          MD5SUM upstream package : b52cde793ea933bc95c183384898b7f6
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is correct (EPEL5 & Fedora < 10)
        %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
[

Comment 11 Tom Hughes 2011-11-29 18:54:45 UTC
Looks good. Package is approved.

Comment 12 Gwyn Ciesla 2011-11-29 19:09:11 UTC
Excellent, many thanks!

New Package SCM Request
=======================
Package Name: libcli
Short Description: A shared library for a Cisco-like cli
Owners: limb
Branches: f16
InitialCC:

Comment 13 Gwyn Ciesla 2011-11-29 19:19:23 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2011-11-29 19:48:57 UTC
libcli-1.9.5-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libcli-1.9.5-3.fc16

Comment 15 Fedora Update System 2011-12-02 21:27:21 UTC
libcli-1.9.5-3.fc16 has been pushed to the Fedora 16 testing repository.

Comment 16 Fedora Update System 2011-12-11 22:00:02 UTC
libcli-1.9.5-3.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.